#include <iostream>
#include <math.h>

using namespace std;

bool Lehte(int n, int m, int k){
    if(n > m || k > n)
        return false;
    else{
        int minik=0;
        if((n/k)%2==0){
            minik=(((n/k)+1)*(n/k)/2)*k+(n-(n/k)*k)*((n/k)+1);
        }
        else{
            minik=(((n/k)+1)/2*(n/k))*k+(n-(n/k)*k)*((n/k)+1);
        }
        if(m<minik){
            return false;
        }
        return true;
    }
}
int main()
{
    int t;
    cin>>t;
    int n[t],k[t],m[t];
    bool valasz[t];
    for(int i=0;i<t;i++){
        cin>>n[i]>>m[i]>>k[i];
        valasz[i]=Lehte(n[i],m[i],k[i]);
    }
    for(int i=0;i<t;i++){
        if(valasz[i]==true){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
    }
}